# Uses of Interface
org.opensaml.soap.wstrust.ProofEncryption

Packages that use ProofEncryption
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of ProofEncryption in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement ProofEncryption
Modifier and Type
Class
Description
`class`
`ProofEncryptionImpl`
ProofEncryptionImpl.
Methods in org.opensaml.soap.wstrust.impl that return ProofEncryption
Modifier and Type
Method
Description
`ProofEncryption`
ProofEncryptionBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`ProofEncryption`
ProofEncryptionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.